@charset "ISO-8859-1";

/* Estilo para posicionar o submenu à direita */
.navbar-item.has-submenu {
    position: relative;
    cursor: pointer;
}

/* Submenu oculto por padrão */
.navbar-item.has-submenu > .navbar-submenu {
    display: none;
    position: absolute;
    left: 100%;
    top: 0;
    white-space: nowrap;
    padding: 0;
    border: 1px solid #ccc; /* Adiciona uma borda para destacar o submenu */
}

/* Mostrar submenu ao passar o mouse */
.navbar-item.has-submenu:hover > .navbar-submenu {
    display: block;
}

/* Ajuste para a seta à direita */
.navbar-item.has-submenu > .navbar-link .icon.is-small {
    position: absolute;
    right: 0 !important; /* Ajuste para posicionar a seta na borda direita */
    top: 50%;
    transform: translateY(-50%);
    font-size: 0.75rem; /* Tamanho pequeno para a seta */
    padding-right: 0.75rem;
}

/* Estilo para a seta direita */
.navbar-item.has-submenu > .navbar-link .fas.fa-chevron-right {
    color: #8B8000; /* Cor amarelo bem escuro */    
}

/* Garantir que o submenu se adapte ao tamanho da descrição do item */
.navbar-submenu .navbar-item {
    white-space: nowrap;
    padding-left: 1em;
    padding-right: 1em;
}

/* Remover padding padrão e garantir exibição em bloco */
.navbar-item.has-submenu {
    padding-left: 0 !important;
    padding-right: 0;
    display: block;
}

/* Remover seta para baixo padrão de .navbar-link dentro de .has-dropdown */
.navbar-item.has-dropdown .navbar-link::after {
    display: none;
}
